summaryrefslogtreecommitdiff
path: root/arch/arm64/boot/install.sh
diff options
context:
space:
mode:
authorMasahiro Yamada <yamada.masahiro@socionext.com>2016-02-19 15:05:50 +0900
committerWill Deacon <will.deacon@arm.com>2016-02-19 10:33:35 +0000
commit8684fa3e7a9ee629ca60bd811d1597646451f918 (patch)
treefbdd946fb29c3ab664166d957f62be2fe1569b7d /arch/arm64/boot/install.sh
parent722ec35f7faefcc34d12616eca7976a848870f9d (diff)
arm64: kbuild: make "make install" not depend on vmlinux
For the same reason as commit 19514fc665ff ("arm, kbuild: make "make install" not depend on vmlinux"), the install targets should never trigger the rebuild of the kernel. Signed-off-by: Masahiro Yamada <yamada.masahiro@socionext.com> Signed-off-by: Will Deacon <will.deacon@arm.com>
Diffstat (limited to 'arch/arm64/boot/install.sh')
-rw-r--r--arch/arm64/boot/install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/arch/arm64/boot/install.sh b/arch/arm64/boot/install.sh
index 12ed78aa6f0c..d91e1f022573 100644
--- a/arch/arm64/boot/install.sh
+++ b/arch/arm64/boot/install.sh
@@ -20,6 +20,20 @@
# $4 - default install path (blank if root directory)
#
+verify () {
+ if [ ! -f "$1" ]; then
+ echo "" 1>&2
+ echo " *** Missing file: $1" 1>&2
+ echo ' *** You need to run "make" before "make install".' 1>&2
+ echo "" 1>&2
+ exit 1
+ fi
+}
+
+# Make sure the files actually exist
+verify "$2"
+verify "$3"
+
# User may have a custom install script
if [ -x ~/bin/${INSTALLKERNEL} ]; then exec ~/bin/${INSTALLKERNEL} "$@"; fi
if [ -x /sbin/${INSTALLKERNEL} ]; then exec /sbin/${INSTALLKERNEL} "$@"; fi